// #autoload
// #name = VFGShout
// #include = support/team_tracker.cs
// #category = ilys' Scripts

$VFGShout::Enabled = 1;
if(isFile("prefs/VFGShoutPrefs.cs")) exec("prefs/VFGShoutPrefs.cs");

package VFGShout
{
function OptionsDlg::onWake(%this)
{
	if(!$VFGShoutBind)
	{
		$RemapName[$RemapCount] = "Toggle VFGShout";
		$RemapCmd[$RemapCount]  = "ToggleVFGShout";
		$RemapCount++;
		$VFGShoutBind = true;
	}
	parent::onWake(%this);
}
function quit()
{
	export("$VFGShout::*", "prefs/VFGShoutPrefs.cs", false);
	parent::quit();
}
function ToggleVFGShout(%val)
{
	if(%val) return;
	$VFGShout::Enabled = !$VFGShout::Enabled;
	%on = $VFGShout::Enabled ? "On" : "Off";
	clientCmdBottomPrint("VFGShout is now: "@%on, 2, 1);
}
function VFGShoutFlagTaken(%msgType, %msgString, %clientName, %flagTeam, %flagTeamId, %clientNameBase)
{
	if(%flagTeamId == teamTracker.enemyTeamID && Strstr(%msgString, "You took") == -1 && $VFGShout::Enabled)
	{
		ServerConnection.sendTargetToServer($PlayerList[teamtracker.myid].targetid, "0 0 0");
		commandToServer('BuildClientTask','GiveFlag',true);
		commandToServer('SendTaskToTeam');
		commandToServer('CannedChat', 'ChatCmdGiveMeFlag', true);
	}
}
};
activatePackage(VFGShout);
AddMessageCallback('MsgCTFFlagTaken', VFGShoutFlagTaken);
